FileEventStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml.model

## Class FileEventStream

- java.lang.Object
- - opennlp.tools.ml.model.FileEventStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<Event>
  Direct Known Subclasses:
    RealValueFileEventStream

      public class FileEventStream
      extends Object
      implements ObjectStream<Event>

  Class for using a file of events as an event stream. The format of the file is one event perline with each line consisting of outcome followed by contexts (space delimited).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEventStream(File file)` Creates a new file event stream from the specified file.
    `FileEventStream(Reader reader)`
    `FileEventStream(String fileName)`
    `FileEventStream(String fileName, String encoding)` Creates a new file event stream from the specified file name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the `ObjectStream` and releases all allocated resources.
    `Event` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.
    `static String` | `toLine(Event event)` Generates a string representing the specified event.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileEventStream

          public FileEventStream(String fileName,
                                 String encoding)
                          throws IOException

      Creates a new file event stream from the specified file name.
      Parameters:
        `fileName` - the name fo the file containing the events.
      Throws:
        `IOException` - When the specified file can not be read.

    - #### FileEventStream

          public FileEventStream(String fileName)
                          throws IOException

      Throws:
        `IOException`

    - #### FileEventStream

          public FileEventStream(Reader reader)
                          throws IOException

      Throws:
        `IOException`

    - #### FileEventStream

          public FileEventStream(File file)
                          throws IOException

      Creates a new file event stream from the specified file.
      Parameters:
        `file` - the file containing the events.
      Throws:
        `IOException` - When the specified file can not be read.

  - ### Method Detail

    - #### read

          public Event read()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<Event>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<Event>`
      Throws:
        `IOException` - if there is an error during closing the stream

    - #### toLine

          public static String toLine(Event event)

      Generates a string representing the specified event.
      Parameters:
        `event` - The event for which a string representation is needed.
      Returns:
        A string representing the specified event.

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<Event>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.